package common.service;

import common.model.DmpIncome;
import common.model.PdAttachment;
import common.model.PdIncome;
import common.model.User;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;
import util.ResultModel;

import java.util.List;

public interface DmpIncomeService {

	List<DmpIncome> listByCode(String contractCode);

	List<DmpIncome> listByDs(String start, String end);

	HSSFWorkbook exportIncomeList(String startDate, String endDate, String bodyCode, String serchName);

	DmpIncome update(DmpIncome dmpIncome);

	Long delete(DmpIncome dmpIncome);

	ResultModel uploadFile(MultipartFile file, String platform, User loginAccount);

    ResultModel contractUploadFile(MultipartFile file, String platform, User loginAccount);

    List listpdIncomeByCode(String code);

    PdIncome pdCreate(PdIncome income, User account);

    PdIncome pdUpdate(PdIncome income);

    int pdDelete(PdIncome income);

    PdAttachment uploadPdAttach(MultipartFile file, String contractCode, User user);

    ResponseEntity<byte[]> downloadAttach(Long id);

    PdAttachment deleteAttach(Long id);

    List pdListByDs(String startDate, String endDate);

    HSSFWorkbook exportPdIncomeList(String startDate, String endDate, String bodyCode, String serchName);

    ResultModel attachList(String code, String startDate, String endDate, String platform);
}
